Package org.apache.any23.vocab

## Class XFN

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.XFN

-     public class XFN
      extends Vocabulary

  Vocabulary class for XFN, as per Expressing XFN in RDF.
  Author:
    Richard Cyganiak (richard@cyganiak.de)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `acquaintance` |
    `org.eclipse.rdf4j.model.IRI` | `child` |
    `org.eclipse.rdf4j.model.IRI` | `colleague` |
    `org.eclipse.rdf4j.model.IRI` | `contact` |
    `org.eclipse.rdf4j.model.IRI` | `coResident` |
    `org.eclipse.rdf4j.model.IRI` | `coWorker` |
    `org.eclipse.rdf4j.model.IRI` | `crush` |
    `org.eclipse.rdf4j.model.IRI` | `date` |
    `org.eclipse.rdf4j.model.IRI` | `friend` |
    `org.eclipse.rdf4j.model.IRI` | `kin` |
    `org.eclipse.rdf4j.model.IRI` | `me` |
    `org.eclipse.rdf4j.model.IRI` | `mePage` |
    `org.eclipse.rdf4j.model.IRI` | `met` |
    `org.eclipse.rdf4j.model.IRI` | `muse` |
    `org.eclipse.rdf4j.model.IRI` | `neighbor` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `parent` |
    `org.eclipse.rdf4j.model.IRI` | `spouse` |
    `org.eclipse.rdf4j.model.IRI` | `sweetheart` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `getExtendedProperty​(String localName)` |
    `static XFN` | `getInstance()` |
    `org.eclipse.rdf4j.model.IRI` | `getPropertyByLocalName​(String localName)` |
    `boolean` | `isExtendedXFNLocalName​(String localName)` |
    `boolean` | `isXFNLocalName​(String localName)` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### contact

          public final org.eclipse.rdf4j.model.IRI contact

    - #### acquaintance

          public final org.eclipse.rdf4j.model.IRI acquaintance

    - #### friend

          public final org.eclipse.rdf4j.model.IRI friend

    - #### met

          public final org.eclipse.rdf4j.model.IRI met

    - #### coWorker

          public final org.eclipse.rdf4j.model.IRI coWorker

    - #### colleague

          public final org.eclipse.rdf4j.model.IRI colleague

    - #### coResident

          public final org.eclipse.rdf4j.model.IRI coResident

    - #### neighbor

          public final org.eclipse.rdf4j.model.IRI neighbor

    - #### child

          public final org.eclipse.rdf4j.model.IRI child

    - #### parent

          public final org.eclipse.rdf4j.model.IRI parent

    - #### spouse

          public final org.eclipse.rdf4j.model.IRI spouse

    - #### kin

          public final org.eclipse.rdf4j.model.IRI kin

    - #### muse

          public final org.eclipse.rdf4j.model.IRI muse

    - #### crush

          public final org.eclipse.rdf4j.model.IRI crush

    - #### date

          public final org.eclipse.rdf4j.model.IRI date

    - #### sweetheart

          public final org.eclipse.rdf4j.model.IRI sweetheart

    - #### me

          public final org.eclipse.rdf4j.model.IRI me

    - #### mePage

          public final org.eclipse.rdf4j.model.IRI mePage

  - ### Method Detail

    - #### getInstance

          public static XFN getInstance()

    - #### getPropertyByLocalName

          public org.eclipse.rdf4j.model.IRI getPropertyByLocalName​(String localName)

    - #### getExtendedProperty

          public org.eclipse.rdf4j.model.IRI getExtendedProperty​(String localName)

    - #### isXFNLocalName

          public boolean isXFNLocalName​(String localName)

    - #### isExtendedXFNLocalName

          public boolean isExtendedXFNLocalName​(String localName)